import { DirectiveBinding } from 'vue';

/**
 * Tooltip directive
 * @deprecated Use the `Tooltip` component from `@leaflink/stash-vue/Tooltip.vue` instead
 */
declare const _default: {
    beforeMount(el: HTMLDirectiveElement, binding: DirectiveBinding): void;
    updated(el: HTMLDirectiveElement, binding: DirectiveBinding): void;
    unmounted(el: HTMLDirectiveElement): void;
};
export default _default;

declare type HTMLDirectiveElement = HTMLElement & {
    observer?: ResizeObserver;
    cachedVal: any;
};

export declare enum Positions {
    Bottom = "bottom",
    Left = "left",
    Right = "right",
    Top = "top"
}

export { }
